org.apache.http.params

## Class SyncBasicHttpParams

- java.lang.Object
- - org.apache.http.params.AbstractHttpParams
  - - org.apache.http.params.BasicHttpParams
    - - org.apache.http.params.SyncBasicHttpParams

- All Implemented Interfaces:
    Serializable, Cloneable, HttpParams, HttpParamsNames

  Deprecated.
  (4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

      @ThreadSafe
      @Deprecated
      public class SyncBasicHttpParams
      extends BasicHttpParams

  Thread-safe extension of the `BasicHttpParams`.
  Since:
    4.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncBasicHttpParams()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated. Removes all parameters from this collection.
    `Object` | `clone()` Deprecated. Clones the instance.
    `Object` | `getParameter(String name)` Deprecated. Obtains the value of the given parameter.
    `boolean` | `isParameterSet(String name)` Deprecated. Is the parameter set?
    `boolean` | `isParameterSetLocally(String name)` Deprecated. Is the parameter set in this object?
    `boolean` | `removeParameter(String name)` Deprecated. Removes the parameter with the specified name.
    `HttpParams` | `setParameter(String name, Object value)` Deprecated. Assigns the value to the parameter with the given name.
    `void` | `setParameters(String[] names, Object value)` Deprecated. Assigns the value to all the parameter with the given names

    - ### Methods inherited from class org.apache.http.params.BasicHttpParams

      `copy, copyParams, getNames`

    - ### Methods inherited from class org.apache.http.params.AbstractHttpParams

      `getBooleanParameter, getDoubleParameter, getIntParameter, getLongParameter, isParameterFalse, isParameterTrue, setBooleanParameter, setDoubleParameter, setIntParameter, setLongParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncBasicHttpParams

          public SyncBasicHttpParams()

      Deprecated.

  - ### Method Detail

    - #### removeParameter

          public boolean removeParameter(String name)

      Deprecated.
      Description copied from interface: `HttpParams`
      Removes the parameter with the specified name.
      Specified by:
        `removeParameter` in interface `HttpParams`
      Overrides:
        `removeParameter` in class `BasicHttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        true if the parameter existed and has been removed, false else.

    - #### setParameter

          public HttpParams setParameter(String name,
                                Object value)

      Deprecated.
      Description copied from interface: `HttpParams`
      Assigns the value to the parameter with the given name.
      Specified by:
        `setParameter` in interface `HttpParams`
      Overrides:
        `setParameter` in class `BasicHttpParams`
      Parameters:
        `name` - parameter name
        `value` - parameter value

    - #### getParameter

          public Object getParameter(String name)

      Deprecated.
      Description copied from interface: `HttpParams`
      Obtains the value of the given parameter.
      Specified by:
        `getParameter` in interface `HttpParams`
      Overrides:
        `getParameter` in class `BasicHttpParams`
      Parameters:
        `name` - the parent name.
      Returns:
        an object that represents the value of the parameter, `null` if the parameter is not set or if it is explicitly set to `null`
      See Also:
        `HttpParams.setParameter(String, Object)`

    - #### isParameterSet

          public boolean isParameterSet(String name)

      Deprecated.
      Description copied from class: `BasicHttpParams`
      Is the parameter set?

      Uses `BasicHttpParams.getParameter(String)` (which is overrideable) to fetch the parameter value, if any.

      Also @see `BasicHttpParams.isParameterSetLocally(String)`

      Overrides:
        `isParameterSet` in class `BasicHttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        true if parameter is defined and non-null

    - #### isParameterSetLocally

          public boolean isParameterSetLocally(String name)

      Deprecated.
      Description copied from class: `BasicHttpParams`
      Is the parameter set in this object?

      The parameter value is fetched directly.

      Also @see `BasicHttpParams.isParameterSet(String)`

      Overrides:
        `isParameterSetLocally` in class `BasicHttpParams`
      Parameters:
        `name` - parameter name
      Returns:
        true if parameter is defined and non-null

    - #### setParameters

          public void setParameters(String[] names,
                           Object value)

      Deprecated.
      Description copied from class: `BasicHttpParams`
      Assigns the value to all the parameter with the given names
      Overrides:
        `setParameters` in class `BasicHttpParams`
      Parameters:
        `names` - array of parameter names
        `value` - parameter value

    - #### clear

          public void clear()

      Deprecated.
      Description copied from class: `BasicHttpParams`
      Removes all parameters from this collection.
      Overrides:
        `clear` in class `BasicHttpParams`

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      Deprecated.
      Description copied from class: `BasicHttpParams`
      Clones the instance. Uses `BasicHttpParams.copyParams(HttpParams)` to copy the parameters.
      Overrides:
        `clone` in class `BasicHttpParams`
      Throws:
        `CloneNotSupportedException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.